#version 330 core

layout(location = 0) in vec3 vertexIn;
layout(location = 1) in vec2 uvIn;

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

out vec2 uv;

// Standard vertex shader for gui.
void main() {
    gl_Position = projectionMatrix * modelViewMatrix * vec4(vertexIn, 1.0);

    uv = uvIn;
}